Summary   : Qt application to use themonospot (multimedia files parser/editor)
Name      : themonospot-gui-qt
Version   : 0.1.3
Release   : 10%{?dist}
License   : GPLv2
Group     : Applications/Multimedia
Source    : http://www.integrazioneweb.com/repository/SOURCES/themonospot-gui-qt-%{version}.tar.gz
BuildRoot : %{_tmppath}/%{name}-%{version}-%{release}-root
URL       : http://www.integrazioneweb.com/themonospot

#BuildArch : noarch
%define debug_package %{nil}

BuildRequires: mono-devel
BuildRequires: themonospot-base-devel
BuildRequires: qyoto-devel
BuildRequires: desktop-file-utils

# Mono only available on these:
ExclusiveArch: %ix86 x86_64 ppc ppc64 ia64 %{arm} sparcv9 alpha s390x

%description
themonospot-gui-qt is a Mono framework application to create a
graphic frontend to use themonospot base component and his plugins.

%prep
%setup -q


%build
%configure
make

%install
rm -fr %{buildroot}
make DESTDIR=%{buildroot} install

desktop-file-install \
 --dir %{buildroot}%{_datadir}/applications \
 --delete-original \
 %{buildroot}%{_datadir}/applications/themonospot-qt.desktop

%if 0%{?fedora} < 14
# workaround for bug 551860
# (Qyoto.Qt requires unversioned libqyotoshared.so)
mkdir -p %{buildroot}%{_libdir}/themonospot
ln -sf %{_libdir}/libqyotoshared.so.? \
 %{buildroot}%{_libdir}/themonospot/libqyotoshared.so
sed -i \
 -e '2i export LD_LIBRARY_PATH=%{_libdir}/themonospot' \
 %{buildroot}%{_bindir}/themonospot-qt
%endif


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc copying.gpl
%{_bindir}/themonospot-qt
%{_libdir}/themonospot/%{name}.exe
%if 0%{?fedora} < 14
%{_libdir}/themonospot/libqyotoshared.so
%endif
%{_datadir}/pixmaps/themonospot-qt.png
%{_datadir}/applications/themonospot-qt.desktop


%changelog
* Fri Apr 29 2011 Dan Horák <dan[at]danny.cz> - 0.1.3-10
- updated the supported arch list

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Oct 28 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.1.3-8
- Rebuild against mono-2.8

* Thu Jul 15 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.1.3-7
- F-14: rebuild for new qyoto

* Wed Apr 02 2010 Armando Basile <hmandevteam@gmail.com> 0.1.3-6
- workaround for bug 551860

* Sun Mar 14 2010 Armando Basile <hmandevteam@gmail.com> 0.1.3-5
- parallel make sometimes fails

* Fri Jan 01 2010 Armando Basile <hmandevteam@gmail.com> 0.1.3-4
- modified desktop-file-install macro parameters

* Fri Jan 01 2010 Armando Basile <hmandevteam@gmail.com> 0.1.3-3
- added themonospot-base-devel and qyoto-devel as BuildRequire

* Thu Dec 31 2009 Armando Basile <hmandevteam@gmail.com> 0.1.3-2
- only mono-devel and desktop-file-utils as BuildRequire

* Wed Dec 30 2009 Armando Basile <hmandevteam@gmail.com> 0.1.3-1
- removed GAC use

* Mon Dec 14 2009 Armando Basile <hmandevteam@gmail.com> 0.1.2-2
- first release of new Qt application to use themonospot
